#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		pdir	Net
%define		pnam	Ident
Summary:	Net::Ident perl module
Summary(pl.UTF-8):	Moduł perla Net::Ident
Name:		perl-Net-Ident
Version:	1.23
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f9a2943dc6310c1f31458c49f926b007
URL:		http://search.cpan.org/dist/Net-Ident/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	"perl(FileHandle)"

%description
Net::Ident - Perl Ident.

%description -l pl.UTF-8
Net::Ident - Ident w perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
yes "" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/Ident.pm
%{_mandir}/man3/*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-Ident.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 27a78a7
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 94b46b3
- use generic url

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 50ed149
- up to 1.23

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bb6e26
- release 10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49c1998
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 712522c
- converted to UTF-8

* Tue Aug 22 2006 radek <radek@pld-linux.org> 8bc42cb
- turned off tests, use network

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5b6c57a
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> e7ea93c
- rel. 9

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4365534
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> f97bb4b
- tests added, other fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 228a559
- spaces -> tab

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8c8d37f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 507eab5
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> d29e881
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 68d0fde
- should be ready for perl-5.8.0; release++

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 5df3bc9
- massive attack: change CPAN URLs

* Tue Nov 26 2002 ankry <ankry@pld-linux.org> 6e7d40e
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

* Wed Jul 10 2002 depesz <depesz@depesz.pl> c4c5a4c
- applied changes using automat supplied by Radoslaw Zielinski

* Sat May 11 2002 kloczek <kloczek@pld-linux.org> 0e40db3
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

